## rxvt 2.6.2

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# ./Makefile.in			-*- Makefile -*-
# $Id: Makefile.in,v 1.5 1999/03/29 05:31:37 mason Exp $

# autoconf/Make.common.in	 -*- Makefile -*-
# release date (man), LSM date, version number/name, current maintainer
DATE=17 APRIL 2000
LSMDATE=17APR00
VERSION=2.6.2
VERNAME=rxvt-$(VERSION)#
MAINT=Geoff Wing#
MAINTEMAIL=<gcw@rxvt.org>#
WEBMAINT=Oezguer Kesim#
WEBMAINTEMAIL=<oec@rxvt.org>#
WEBPAGE=<http://www.rxvt.org/>#
FTPSITENAME=ftp.rxvt.org#
FTPSITEDIR=/pub/rxvt#
#-------------------------------------------------------------------------

SHELL = /bin/sh

# This variable makes it possible to move the installation root to another
# directory. This is useful when you're creating a binary distribution
# If empty, normal root will be used.
# You can run eg. 'make install DESTDIR=/packages/rxvt-xx' to accomplish
# that.
# DESTDIR = /usr/local/X11/$(VERNAME)

# Installation target directories & other installation stuff
prefix = /usr/local
exec_prefix = ${prefix}
binprefix =
manprefix =
bindir = ${exec_prefix}/bin
mandir = ${prefix}/man/man1
manext = 1

# Tools & program stuff
CC = gcc
CPP = gcc -E
MV = /bin/mv
RM = /bin/rm
RMF = /bin/rm -f
CP = /bin/cp
SED = /usr/bin/sed
AWK = /usr/bin/awk
ECHO = /bin/echo
CMP = /usr/bin/cmp
TBL = /usr/bin/tbl
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = /usr/bin/install -c -s -m 755
INSTALL_DATA = /usr/bin/install -c -m 644

# Flags & libs
# add -DBINDIR=\""$(bindir)/"\" to CPPFLAGS, if we need to spawn a program

CFLAGS = -O 
CPPFLAGS =  
LDFLAGS = 
DEFS = -DHAVE_CONFIG_H
LIBS = 
DINCLUDE = 
DLIB = 

# X Include directory
XINC =  -I/usr/X11R6/include 

# extra libraries needed by X on some systems, X library location
XLIB =  -L/usr/X11R6/lib  -lX11 

# End of common section of the Makefile
#-------------------------------------------------------------------------

srcdir =	.
.PATH:		.

first_rule: all
dummy:

subdirs = src doc rclock src/graphics

DIST =	INSTALL README.configure configure Makefile Makefile.in ChangeLog

DIST_CFG = autoconf/aclocal.m4 autoconf/configure.in \
	autoconf/config.h.in  autoconf/acconfig.h  autoconf/Make.common.in \
	autoconf/install-sh autoconf/mkinstalldirs

MKDIR = $(srcdir)/autoconf/mkinstalldirs

#-------------------------------------------------------------------------

all allbin alldoc tags clean:
	@for I in ${subdirs}; do (cd $$I; ${MAKE} $@ || exit 1); done

#
# entry points for other programs
#
rxvt:
	(cd src; ${MAKE})

clock:
	(cd rclock; ${MAKE})

graphics qplot:
	(cd src/graphics; ${MAKE} qplot)

#-------------------------------------------------------------------------
configure: autoconf/configure.in autoconf/aclocal.m4 autoconf/acconfig.h autoconf/config.h.in
	cd $(srcdir);
	autoconf --localdir=$(srcdir)/autoconf \
	autoconf/configure.in > configure
	chmod 755 configure

config.status:
	if test -x config.status; then config.status --recheck; \
	else $(SHELL) configure; fi

autoconf/config.h.in: autoconf/configure.in autoconf/acconfig.h
	cd $(srcdir);
	autoheader --localdir=$(srcdir)/autoconf \
	autoconf/configure.in > autoconf/config.h.in
	chmod 644 autoconf/config.h.in

installdirs:
	$(MKDIR) $(DESTDIR)$(bindir)
	$(MKDIR) $(DESTDIR)$(mandir)

install: installdirs
	@for I in $(subdirs); do (cd $$I; $(MAKE) DESTDIR=$(DESTDIR) $@ || exit 1); done

Makefiles:
	$(SHELL) config.status

realclean:
	$(RMF) *~ config.cache
	@for I in ${subdirs}; do (cd $$I; ${MAKE} $@ || exit 1); done

# distclean goal is for making a clean source tree, but if you have run
# configure from a different directory, then doesn't destroy all your
# hardly compiled and linked stuff. That's why there is always $(srcdir)/
# In that case most of those commands do nothing, except cleaning *~
# and cleaning source links.
distclean:
	(cd $(srcdir); $(RMF) *~ config.cache config.h config.log config.status)
	@for I in $(subdirs); do (cd $$I; $(MAKE) $@ || exit 1); done
	(cd $(srcdir); $(RMF) Makefile autoconf/Make.common)

distdirs:
	mkdir ../$(VERNAME);
	mkdir ../$(VERNAME)/autoconf;
	@for I in $(subdirs); do (cd $$I; $(MAKE) $@ || (echo "Failed to make distclean in $$I"; exit 0) ); done

distcopy:
	$(CP) -p $(DIST) ../$(VERNAME);
	$(CP) -p $(DIST_CFG) ../$(VERNAME)/autoconf;
	@for I in $(subdirs); do (cd $$I; $(MAKE) $@ || exit 1); done

distrib: configure autoconf/config.h.in distdirs distcopy

tar.gz:  ../$(VERNAME).tar.gz
../$(VERNAME).tar.gz:
	(cd ..; tar cvf - $(VERNAME) | gzip -f9 > $(VERNAME).tar.gz)

tar.Z: ../$(VERNAME).tar.Z
../$(VERNAME).tar.Z:
	(cd ..; tar cvf - $(VERNAME) | compress > $(VERNAME).tar.Z)

tar.bz2: ../$(VERNAME).tar.bz2
../$(VERNAME).tar.bz2:
	(cd ..; tar cvf - $(VERNAME) | bzip2 -f9 > $(VERNAME).tar.bz2)

uuencode: tar.gz
	uuencode ../$(VERNAME).tar.gz $(VERNAME).tar.gz > ../$(VERNAME).tgz.uu

# ------------------------------------------------------------------------

## rxvt 2.6.4

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 # autoconf/Make.common.in	 -*- Makefile -*-
 # release date (man), LSM date, version number/name, current maintainer
-DATE=17 APRIL 2000
-LSMDATE=17APR00
-VERSION=2.6.2
+DATE=02 NOVEMBER 2001
+LSMDATE=02NOV01
+VERSION=2.6.4
 VERNAME=rxvt-$(VERSION)#
 MAINT=Geoff Wing#
 MAINTEMAIL=<gcw@rxvt.org>#

## rxvt 2.7.10

=== W11/wrap/Makefile ===

CFLAGS=-O

first_rule: all

all allbin: ../lib/libX11.a

alldoc tags:

../lib/libX11.a: wrap.o rxvt_res.o
	ar r ../lib/libX11.a wrap.o rxvt_res.o

wrap.o: wrap.c xwrappers.gen
	gcc ${CFLAGS} -c wrap.c -I.. -mwin32

rxvt_res.o: rxvt.rc
	windres -i rxvt.rc -o rxvt_res.o

xwrappers.gen: ../X11/Xlib.h
	perl mkproxy.pl ../X11/Xlib.h > xwrappers.gen

clean:
	-rm wrap.o rxvt_res.o ../lib/libX11.a

=== debian/changelog ===
rxvt (1:2.7.10-5) unstable; urgency=low

  * Applied the following patches which were applied to rxvt-beta:
    - screen-nlines-assertion: corrects an off-by-one error in an
      assertion during page scrolling with DEBUG_STRICT enabled
    - scrollbar-style-doc: adds a caveat to the scrollstyle
      resource/long option that non-rxvt is available only in
      rxvt-xpm
    - decrease-wm-race-likeliness-202497: initialize the terminal
      dimensions earlier to reduce the probability that the window
      manager interferes
    - rxvt-tbl: rxvt.tbl syntax fixes
  * Enable xterm and next style scrollbars build options for the
    xterm-xpm target in debian/rules.
  * Corrected merge of multi-byte-font-width-72371.patch, which was
    applied to bold font sections instead of multibyte fonts, causing
    crashes. Closes: #721876.

 -- George Gensure <werkt0@gmail.com>  Wed, 28 Aug 2013 21:51:20 -0400

rxvt (1:2.7.10-4) unstable; urgency=low

  * Changed cutchars documentation to match default values.
    Closes: #169415.
  * Fixed patch for #341200 applied incorrectly during dquilt
    translation, originally fixed in 1:2.6.4-10. Closes: #217472.

 -- George Gensure <werkt0@gmail.com>  Sat, 17 Aug 2013 08:48:57 -0400

rxvt (1:2.7.10-3) unstable; urgency=low

  * Enabled rxvt original scrollbars explicitly in rules. Required
    configure enabled option with 2.7. Closes: #718538.
  * Also enabled mousewheel scrolling and keepscroll (held
    scroll button), which were features on by default in 2.6.

 -- George Gensure <werkt0@gmail.com>  Thu, 01 Aug 2013 21:11:43 -0400

rxvt (1:2.7.10-2) unstable; urgency=low

  * Removed update-alternatives --remove-all for rclock

 -- George Gensure <werkt0@gmail.com>  Sun, 21 Jul 2013 09:18:39 -0400

rxvt (1:2.7.10-1) unstable; urgency=low

  * New upstream version.
  * New maintainer. Closes: #698991.
  * Added DEB_BUILD_OPTIONS parsing support to rules for noopt, nostrip,
    and parallel.  nocheck is not supported, as there is no testing target.
  * Update standards version to 3.9.4
  * Package version bumped to 3.0 (quilt)
  * debhelper bumped to version 9
  * Winnowed down diffs to files against upstream corrections.
    Anything left in patches is either a debian configuration or unpatched
    upstream.
  * Split version 1 patches into individual 3.0 (quilt) patches named for
    bug/feature descriptions and bug tracker tags if available.
  * Patched documentation to account for lintian recommendations of
    minus/hyphen conflation.
  * Added doc-base entries for html documentation.
  * Added lintian recommendation of ${misc:Depends} to Depends
  * Updated copyright information, matching to upstream license of GPL-2, and
    upgrading format to debian copyright version 1
  * Added dpkg-buildflags substitutions for CPP/C/LDFLAGS per lintian
  * Added set -e to pre/post scripts for packages per lintian
  * Remove src/librxvt.h (generated) in clean target
  * Changed debian/watch to find the most current (and future) versions of
    upstream dist from 2.6-specific.

 -- George Gensure <werkt0@gmail.com>  Wed, 10 Jul 2013 14:02:13 -0400

rxvt (1:2.6.4-14) unstable; urgency=high

  * Add crossbuild support. Thanks to Neil Williams. Closes: #465214.
  * Finally fix scrollbuffer-related SEGV bug. Thanks to Josip Rodin
    for his help in debugging this! Closes: #445360.
  * Raise urgency (two RC bug fixes, 445360 and 462512).

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Thu, 24 Apr 2008 00:51:00 +0200

rxvt (1:2.6.4-13) unstable; urgency=low

  * Include a patch by Wolfgang Pietsch to make rclock's hour hand
    move smoothly.
  * Adjust the menu files to the new policy.
  * Bump Standards version to 3.7.3.
  * Fix NAME manpage sections to please mandb.
  * Intersperse 'make clean' invocations between the builds of the
    several build flavours. Closes: #462512.
  * Do not silently default to display ":0" if DISPLAY is unset.
    Closes: #469296.
  * Add watch file.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 11 Apr 2008 01:36:43 +0200

rxvt (1:2.6.4-12) unstable; urgency=low

  * Remove the obsolete package xfonts-cjk from Suggests.
  * Correct a ./configure flag typo that broke X resources handling.
  * Reintroduce the fix for #261996 (override for pty support detection
    in chroot environments).

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 08 Jul 2007 01:33:45 +0200

rxvt (1:2.6.4-11) unstable; urgency=low

  * New maintainer. Thanks, David! Closes: #388211.
  * Move build system to debhelper.
  * Bump Standards compliance level to 3.7.2.
  * Fix x-terminal-emulator alternative handling, adjust priority
    values to those of similar programs. Closes: #379134.
  * Get rid of ancient rclock alternative. Closes: #176111.
  * Correct manpage type, closes: #429411.
  * Drop the versioned base-passwd dependency and the conflicts with
    xcingb and suidmanager - all packages in question predate the
    woody release.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Thu, 10 May 2007 10:51:45 +0200

rxvt (1:2.6.4-10) unstable; urgency=low

  * Fixing a problem when selecting and pasting info on amd64.
  	- Closes: #341200, thanks to Martin Dorey.

 -- David Moreno Garza <damog@debian.org>  Wed, 30 Nov 2005 19:35:43 -0600

rxvt (1:2.6.4-9) unstable; urgency=low

  * The "Let's bring rxvt to real life again" revision release.
  * New maintainer (Closes: #321340).
  * Applied patch to get Control+Shift+Prior/Next to work.
  	(Closes: #226386, thanks to Alexis S. L. Carvalho).
  * Applied patch to make a POSIX debian/rules.
  	(Closes: #322391, thanks to Tommy Pettersson).
  * Fixed all documentation about cutchars.
  	(Closes: #296667, thanks to Xavier Renaut).
  * Updated policy version compliant.
  * menu commands brought to normal life (Closes: #248861).

 -- David Moreno Garza <damog@debian.org>  Tue,  4 Oct 2005 23:20:36 -0500

rxvt (1:2.6.4-8) unstable; urgency=low

  * QA Upload


=== debian/control ===
Source: rxvt
Section: x11
Priority: optional
Maintainer: George Gensure <werkt0@gmail.com>
Build-Depends: libx11-dev, libxt-dev, libxpm-dev, debhelper (>= 9), autotools-dev
Standards-Version: 3.9.4
Homepage: http://rxvt.sourceforge.net/

Package: rxvt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-terminal-emulator
Description: VT102 terminal emulator for the X Window System
 Rxvt is an 8-bit clean, color xterm replacement that uses significantly
 less memory than a conventional xterm, mostly since it doesn't support
 toolkit configurability or Tek graphics, but also since features can
 be removed at compile-time to reflect your needs.
 .
 The distribution also includes rclock, the smaller/better xclock
 replacement with appointment scheduling and xbiff functionality.

Package: rxvt-ml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: rxvt
Suggests: xfonts-intl-european, xfonts-intl-chinese (>= 1.1-4) | xfonts-cmex-big5p, xcin (>= 2.5.0-0.2)
Provides: x-terminal-emulator
Description: multi-lingual VT102 terminal emulator for the X Window System
 Rxvt is an 8-bit clean, color xterm replacement that uses significantly
 less memory than a conventional xterm, mostly since it doesn't support
 toolkit configurability or Tek graphics, but also since features can
 be removed at compile-time to reflect your needs.
 .
 This package contains three versions of rxvt: krxvt and crxvt,
 which support Japanese and Chinese characters, and grxvt, which
 supports both ELOT-928 (ISO-8859-7 standard) and IBM-437 keyboard
 translations for Greek character entry.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get   CFLAGS) -Wall -g
LDFLAGS  := $(shell dpkg-buildflags --get  LDFLAGS)
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root -m 644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root -m 755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root -m 755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root -m 755

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O3
endif
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
confflags= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
confflags= --build $(DEB_BUILD_GNU_TYPE)
endif

CFG_BASE := --prefix=/usr --mandir=$${prefix}/share/man --enable-utmp --enable-wtmp \
       --enable-xim --enable-ttygid --enable-xgetdefault --with-term=rxvt \
       --with-x $(confflags) --enable-rxvt-scroll --enable-mousewheel \
			 --enable-keepscrolling

CFG_XPM := $(CFG_BASE) --enable-xpm-background --enable-transparency --enable-menubar \
           --enable-graphics --with-xpm-includes=/usr/include/X11 --with-xpm

UTMP_SHELLS := debian/rxvt/usr/bin/rxvt-xterm debian/rxvt/usr/bin/rxvt-xpm \
               debian/rxvt-ml/usr/bin/krxvt debian/rxvt-ml/usr/bin/grxvt \
               debian/rxvt-ml/usr/bin/crxvt-big5 debian/rxvt-ml/usr/bin/crxvt-gb

.PHONY: clean build install binary-indep binary-arch binary 

clean:
	dh_testdir
	dh_testroot
	rm -f install.stamp build.stamp
	[ ! -f Makefile ] || $(MAKE) -i distclean
	rm -f src/rxvt-xterm src/rxvt-xpm src/krxvt src/grxvt src/crxvt-gb src/crxvt-big5
	rm -f doc/rxvt.1 rxvt-xterm.1 src/rxvtlib.h doc/Makefile doc/yodl/rxvtRef.yo
	dh_clean

build: build-arch build-indep
build-arch: build.stamp

build-indep: build.stamp
build.stamp:
	dh_testdir

	./configure $(CFG_BASE) --without-xpm
	echo "#define PTYS_ARE_GETPT 1" >> config.h
	$(MAKE) $(MAKEFLAGS) $(CROSS) CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' all clock
	mv src/rxvt src/rxvt-xterm
	cp doc/rxvt.tbl rxvt-xterm.1
	$(MAKE) -C src clean

	./configure $(CFG_XPM) --enable-xterm-scroll --enable-next-scroll
	echo "#define PTYS_ARE_GETPT 1" >> config.h
	$(MAKE) $(MAKEFLAGS) $(CROSS) CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' rxvt
	mv src/rxvt src/rxvt-xpm
	$(MAKE) -C src clean

	./configure $(CFG_XPM) --enable-kanji --disable-big5 --disable-gb --disable-greek
	echo "#define PTYS_ARE_GETPT 1" >> config.h
	$(MAKE) $(MAKEFLAGS) $(CROSS) CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' rxvt
	mv src/rxvt src/krxvt
	$(MAKE) -C src clean

	./configure $(CFG_XPM) --disable-kanji --enable-big5 --disable-gb --disable-greek
	echo "#define PTYS_ARE_GETPT 1" >> config.h
	$(MAKE) $(MAKEFLAGS) $(CROSS) CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' rxvt
	mv src/rxvt src/crxvt-big5
	$(MAKE) -C src clean

	./configure $(CFG_XPM) --disable-kanji --disable-big5 --enable-gb --disable-greek
	echo "#define PTYS_ARE_GETPT 1" >> config.h
	$(MAKE) $(MAKEFLAGS) $(CROSS) CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' rxvt
	mv src/rxvt src/crxvt-gb
	$(MAKE) -C src clean

	./configure $(CFG_XPM) --disable-kanji --disable-big5 --disable-gb --enable-greek
	echo "#define PTYS_ARE_GETPT 1" >> config.h
	$(MAKE) $(MAKEFLAGS) $(CROSS) CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' rxvt
	mv src/rxvt src/grxvt

	touch build.stamp

install: install.stamp
install.stamp: build
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	touch install.stamp

binary: binary-arch binary-indep

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	cp debian/rxvt.override debian/rxvt/usr/share/lintian/overrides/rxvt
	cp debian/rxvt-ml.override debian/rxvt-ml/usr/share/lintian/overrides/rxvt-ml
	dh_installdocs
	chmod 0644 debian/rxvt/usr/share/doc/rxvt/examples/* \
	           debian/rxvt-ml/usr/share/doc/rxvt-ml/examples/*
	dh_installchangelogs doc/changes.txt
	dh_installmenu
	dh_fixperms
	for SH in $(UTMP_SHELLS); do \
	  chown root.utmp $$SH; \
	  chmod 2755 $$SH; \
	done
	dh_compress
	dh_link
	dh_strip
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_installdeb
	dh_builddeb

=== debian/watch ===
version=3
http://sf.net/rxvt/rxvt-(.+)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
